// package main -- пускач для архитектуры
package main

import (
	"log"
	"os"

	"gitp78su.ipnodns.ru/svi/test_arch/lev3/fabrics"
)

func main() {
	log.Println("main()")
	serv, err := fabrics.NewService()
	if err != nil {
		log.Printf("main(): in NewService(), err=\n\t%v\n", err)
		os.Exit(1)
	}
	if err := serv.Run(); err != nil {
		log.Printf("main(): in IService.Run(), err=\n\t%v\n", err)
		os.Exit(2)
	}
}
